<!DOCTYPE html>
<html lang="pt-BR">

    <head>
        <meta charset="utf-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <!-- The above 3 meta tags *must* come first in the head; any other head content must come *after* these tags -->
        <meta name="description" content="Bolsão Força Máxima">
        <meta name="author" content="Vinícius">
        <!--    <link rel="icon" href="../../favicon.ico">-->

        <title>Colégio Força Máxima</title>
        <link rel="icon" href="../images/favicon.ico" >

        <!-- Bootstrap core CSS -->
        <link href="../css/bootstrap.css" rel="stylesheet">
        <link href="../css/bootstrap-theme.min.css" rel="stylesheet">
        <link href="../css/bootstrap.min.css" rel="stylesheet">
        <link href="../css/bootstrap-multiselect.css" rel="stylesheet"  />
        <script src="../js/bootstrap-multiselect.js"></script>
        <script src="../js/vendor/modernizr-2.6.2-respond-1.1.0.min.js"></script>
        <script src="../js/prefixfree-1.0.7.js" type="text/javascript"></script>
        <script src="../js/jquery-1.7.1.min.js" type="text/javascript"></script>

        <!-- IE10 viewport hack for Surface/desktop Windows 8 bug 
        <link href="../../assets/css/ie10-viewport-bug-workaround.css" rel="stylesheet">-->

        <!-- Custom styles for this template -->
        <link href="../css/jumbotron.css" rel="stylesheet">
        <link href="../css/main.css" rel="stylesheet">
        <link href="../style.css" rel="stylesheet">
        <script src="../js/main.js"></script>

    <body>
        <?php
        include 'conexao.php';
//include "../mpdf60/mpdf.php";

        $filtro = "";
        $unidade = $_GET["u"];
        $bolsao = $_GET["b"];
        $totalGeralManha = 0;
        $totalPagoManha = 0;
        $totalNaoPagoManha = 0;
        $totalGeralTarde = 0;
        $totalPagoTarde = 0;
        $totalNaoPagoTarde = 0;
        $conteudo = 0;
        $html = "";
        $totalGeralUnidade = 0;
        $totalGeralPago = 0;
        $totalGeralNaoPago = 0;

        if ($bolsao > 0) {
            if ($filtro == "") {
                $filtro = '  i.id_bolsao=' . $bolsao;
            } else {
                $filtro = $filtro . ' and i.id_bolsao=' . $bolsao;
            }
        }

        if ($unidade > 0) {
            $sqlUnidade = "select * from unidade where id=$unidade";
        } else {
            $sqlUnidade = "select * from unidade where id not in(5,6) order by nome";
        }

        $resUnidade = mysqli_query($conexao, $sqlUnidade);
        while ($rowUnidade = mysqli_fetch_array($resUnidade)) {
            if ($conteudo == 1) {
                echo "<div  style='page-break-before:  always;'></div>";
            }

            $totalGeralManha = 0;
            $totalPagoManha = 0;
            $totalNaoPagoManha = 0;
            $totalGeralTarde = 0;
            $totalPagoTarde = 0;
            $totalNaoPagoTarde = 0;

            echo "<div><center><h4>" . $rowUnidade["nome"] . "</h4></center></div>";

            $sql = "select  count(*) qtde,serie_ano,unidade,nome_unidade"
                    . " from (select distinct i.id, serie_ano,i.unidade,u.nome nome_unidade"
                    . " from inscricoes i "
                    . " left join unidade u on u.id=i.unidade "
                    . " where $filtro and i.unidade=" . $rowUnidade["id"]
                    . " and i.horario='M') geral group by serie_ano,unidade,nome_unidade order by unidade,serie_ano";
//echo $sql;
            $res = mysqli_query($conexao, $sql) or die("ERRO NA QUERY: " . mysqli_error());

            echo '<div class="col-md-12">'
            . ' <div class="col-md-6">';
            echo "<div><center><h4>Manhã</center></div>";
            echo '<table style="font-size: 70%; text-align:center;" width="100%" border="1" cellpadding="4" cellspacing="0">'
            . ' <tr style="font-weight:bold">'
            . '<td>Série Pretendida</td>'
            . ' <td>Quantidade</td>'
            . ' </tr>';

            while ($rowManha = mysqli_fetch_array($res)) {
                $totalGeralManha = $totalGeralManha + $rowManha["qtde"];

                $sqlPagoManha = "select count(*) qtde,serie_ano,unidade,nome_unidade "
                        . " from (select distinct i.id, serie_ano,i.unidade,u.nome nome_unidade"
                        . " from inscricoes i "
                        . " left join unidade u on u.id=i.unidade "
                        . " where $filtro  and i.serie_ano='" . $rowManha["serie_ano"] . "'"
                        . " and i.horario='M' and i.unidade=" . $rowManha["unidade"] . ")geral "
                        . " group by serie_ano,unidade,nome_unidade "
                        . " order by serie_ano";
//echo
                $resPagoManha = mysqli_query($conexao, $sqlPagoManha);
                $rowPagoManha = mysqli_fetch_array($resPagoManha);

                $totalPagoManha = $totalPagoManha + $rowPagoManha["qtde"];
                $sqlNaoPagoManha = "select count(*) qtde,serie_ano,unidade,nome_unidade "
                        . " from (select distinct i.id, serie_ano,i.unidade,u.nome nome_unidade"
                        . " from inscricoes i "
                        . " left join unidade u on u.id=i.unidade "
                        . " where $filtro  "
                        . " and i.serie_ano='" . $rowManha["serie_ano"] . "'"
                        . " and i.horario='M' and i.unidade=" . $rowManha["unidade"] . ""
                        . " and i.id not in (select distinct i.id"
                        . " from inscricoes i "
                        . " left join unidade u on u.id=i.unidade "
                        . " where $filtro  and i.serie_ano='" . $rowManha["serie_ano"] . "'"
                        . " and i.horario='M' and i.unidade=" . $rowManha["unidade"] . "))geral "
                        . " group by serie_ano,unidade,nome_unidade order by serie_ano";

                $resNaoPagoManha = mysqli_query($conexao, $sqlNaoPagoManha);
                $rowNaoPagoManha = mysqli_fetch_array($resNaoPagoManha);
                $totalNaoPagoManha = $totalNaoPagoManha + $rowNaoPagoManha["qtde"];

                echo ' <tr>'
                . ' <td>' . $rowManha['serie_ano'] . ' </td>'
                . ' <td>' . $rowManha['qtde'] . ' </td>'
                . ' </tr>';

                next($rowManha);
            }


            $sqlTotal = "select  count(*) as qtde "
                    . " from (select distinct i.* "
                    . " from inscricoes i "
                    . " where i.id_bolsao=" . $_GET['b'] . " and i.unidade=" . $rowUnidade['id'] . " "
                    . " and i.horario='M' )geral";
            $resTotal = mysqli_query($conexao, $sqlTotal);
            $total = mysqli_fetch_array($resTotal);
            echo "<tr style='font-weight:bold;'>";
            echo ' <td>Total Manhã</td>';
            echo ' <td>' . $totalGeralManha . '</td>';

            echo "</tr>";
            echo ' </table>'
            . ' </div>';

            $sql = " select  count(*) qtde,serie_ano,unidade,nome_unidade "
                    . " from (select distinct i.id, serie_ano,i.unidade,u.nome nome_unidade"
                    . " from inscricoes i "
                    . " left join unidade u on u.id=i.unidade "
                    . " where $filtro and i.unidade=" . $rowUnidade["id"]
                    . " and i.horario='T') geral group by serie_ano,unidade,nome_unidade order by serie_ano";
//echo $sql;
            $res = mysqli_query($conexao, $sql) or die("ERRO NA QUERY: " . mysqli_error());

            echo ' <div class="col-md-6">';
            echo "<div><center><h4>Tarde</center></div>";
            echo '<table style="font-size: 70%; text-align:center;" width="100%" border="1" cellpadding="4" cellspacing="0">'
            . ' <tr style="font-weight:bold">'
            . '<td>Série Pretendida</td>'
            . ' <td>Quantidade</td>'
            . ' </tr>';

            while ($rowTarde = mysqli_fetch_array($res)) {
                $totalGeralTarde = $totalGeralTarde + $rowTarde["qtde"];
                $sqlPagoTarde = "select  count(*) qtde,serie_ano,unidade,nome_unidade "
                        . " from (select distinct i.id, serie_ano,i.unidade,u.nome nome_unidade"
                        . " from inscricoes i "
                        . " left join unidade u on u.id=i.unidade "
                        
                        . " where $filtro  and i.serie_ano='" . $rowTarde["serie_ano"] . "'"
                        . " and i.horario='T' and i.unidade=" . $rowTarde["unidade"] . ") geral "
                        . " group by serie_ano,unidade,nome_unidade order by serie_ano";
                $resPagoTarde = mysqli_query($conexao, $sqlPagoTarde);
                $rowPagoTarde = mysqli_fetch_array($resPagoTarde);
                $totalPagoTarde = $totalPagoTarde + $rowPagoTarde["qtde"];
                $sqlNaoPagoTarde = "select  count(*) qtde,serie_ano,unidade,nome_unidade "
                        . " from (select distinct i.id, serie_ano,i.unidade,u.nome nome_unidade"
                        . " from inscricoes i "
                        . " left join unidade u on u.id=i.unidade "
                        . " where $filtro  and i.serie_ano='" . $rowTarde["serie_ano"] . "'"
                        . " and i.horario='T' and i.unidade=" . $rowTarde["unidade"] . ""
                        . " and i.id not in (select distinct i.id"
                        . " from inscricoes i "
                        . " left join unidade u on u.id=i.unidade "
                        . " where $filtro  and i.serie_ano='" . $rowTarde["serie_ano"] . "'"
                        . " and i.horario='T' and i.unidade=" . $rowTarde["unidade"] . ")) geral"
                        . " group by serie_ano,unidade,nome_unidade order by serie_ano";
                $resNaoPagoTarde = mysqli_query($conexao, $sqlNaoPagoTarde);
                $rowNaoPagoTarde = mysqli_fetch_array($resNaoPagoTarde);
                $totalNaoPagoTarde = $totalNaoPagoTarde + $rowNaoPagoTarde["qtde"];
                echo ' <tr>'
                . ' <td>' . $rowTarde['serie_ano'] . ' </td>'
                . ' <td>' . $rowTarde['qtde'] . ' </td>'
                . ' </tr>';

                next($rowTarde);
            }

            $sqlTotal = "select  count(*) as qtde "
                    . " from (select distinct i.* "
                    . " from inscricoes i "
                    . " where i.id_bolsao=" . $_GET['b'] . " and i.unidade=" . $_GET['u'] . " and i.horario='T'"
                    . " ) geral";

            $resTotal = mysqli_query($conexao, $sqlTotal);
            $total = mysqli_fetch_array($resTotal);
            echo "<tr style='font-weight:bold;'>";
            echo ' <td>Total Tarde</td>';
            echo ' <td>' . $totalGeralTarde . '</td>';
            echo ' </table>'
            . ' </div>'
            . ' </div>'
            . ' </div>';

            echo ' <div class="col-md-12">';
            echo ' <br><h4>Total Geral: ' . ($totalGeralTarde + $totalGeralManha) . '</h4>';
            echo ' </div>';


// <center>    <input type="button" class="btn btn-default" name="Imprimir" id="Imprimir" value="Imprimir" onclick="window.print();" /></center>-->
//echo $html;
            $conteudo = 1;
            $totalGeralUnidade = ($totalGeralUnidade + $totalGeralTarde + $totalGeralManha);
            $totalGeralPago = ($totalGeralPago + $totalPagoManha + $totalPagoTarde);
            $totalGeralNaoPago = ($totalGeralNaoPago + $totalNaoPagoManha + $totalNaoPagoTarde);
            next($rowUnidade);
        }
        echo '<div class="col-md-12">';
        echo ' <br><h4>Total de todas as Unidades selecionadas: ' . $totalGeralUnidade . '</h4>';
        echo ' </div>';

        /*
          $mpdf = new mPDF();
          $mpdf->SetDisplayMode('fullpage');
          $css1 = file_get_contents("../css/bootstrap.css");
          $mpdf->WriteHTML($css1, 1);
          $css2 = file_get_contents("../css/bootstrap-theme.min.css");
          $mpdf->WriteHTML($css2, 1);
          $css3 = file_get_contents("../css/bootstrap.min.css");
          $mpdf->WriteHTML($css3, 1);
          $mpdf->WriteHTML($html);
          $mpdf->Output();

          exit;
         */
        ?>


    </body>
</html>